aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-03-31 14:21:16 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2020-04-09 20:32:31 +0200
commit548df2493d9801b2503f412ec8c424418cb7721b (patch)
tree0e40389a2b7fbb64e19a2360db372af11f1a6abc
parentdev-qt: For QT5_MODULE=qttools, trigger rebuild on dev-qt/qtcore subslot (diff)
downloadqt-548df2493d9801b2503f412ec8c424418cb7721b.tar.gz
qt-548df2493d9801b2503f412ec8c424418cb7721b.tar.bz2
qt-548df2493d9801b2503f412ec8c424418cb7721b.zip
qt5-build.eclass: Drop obsolete in-source build workaround for >=5.14.2
Fixed upstream in 5.11.1. See also: https://bugreports.qt.io/browse/QTBUG-37417 Upstream commit 67aa365d41ebfe082b4efcfd725e4d5f08be678c qtbase forwarding header was introduced to fix bug 599636 in commit: d82f92ed064996dfb187ef668d74ed5b05546b2d Bug: https://bugs.gentoo.org/497312 Bug: https://bugs.gentoo.org/676948 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
-rw-r--r--eclass/qt5-build.eclass16
1 files changed, 11 insertions, 5 deletions
diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index b5d0b642..9a757cce 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -104,10 +104,11 @@ EGIT_REPO_URI=(
# @OUTPUT_VARIABLE
# @DESCRIPTION:
# Build directory for out-of-source builds.
-case ${QT5_BUILD_TYPE} in
- live) : ${QT5_BUILD_DIR:=${S}_build} ;;
- release) : ${QT5_BUILD_DIR:=${S}} ;; # workaround for bug 497312
-esac
+if ver_test ${PV} -lt 5.14.2; then
+ : ${QT5_BUILD_DIR:=${S}} # workaround for bug 497312
+else
+ : ${QT5_BUILD_DIR:=${S}_build}
+fi
IUSE="debug test"
@@ -658,7 +659,12 @@ qt5_base_configure() {
# a forwarding header is no longer created since 5.8, causing the system
# config to always be used. bug 599636
- cp src/corelib/global/qconfig.h include/QtCore/ || die
+ # ${S}/include does not exist in live sources
+ local basedir="${S}/"
+ if ver_test ${PV} -lt 5.14.2 || [[ ${QT5_BUILD_TYPE} == live ]]; then
+ basedir=""
+ fi
+ cp src/corelib/global/qconfig.h "${basedir}"include/QtCore/ || die
popd >/dev/null || die